Skip to main content
POST
/
api
/
v1
/
accessconflict
/
{id}
UpdateMonitor
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AccessConflict.UpdateMonitor(ctx, operations.C1APIAccessconflictV1AccessConflictServiceUpdateMonitorRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ConflictMonitor != nil {
        // handle response
    }
}
{
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "displayName": "<string>",
  "enabled": true,
  "entitlementSetAId": "<string>",
  "entitlementSetBId": "<string>",
  "id": "<string>",
  "notificationConfig": {
    "emailNotifications": {
      "enabled": true,
      "identityUserIds": [
        "<string>"
      ]
    },
    "slackNotifications": {
      "channelId": "<string>",
      "channelName": "<string>",
      "enabled": true
    }
  },
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The unique identifier of the conflict monitor to update.

Body

application/json

The request message for updating an existing conflict monitor.

description
string

The updated description for the conflict monitor.

displayName
string

The updated human-readable name for the conflict monitor.

notificationConfig
Notification Config · object

The NotificationConfig message.

Response

200 - application/json

A conflict monitor defines a Separation of Duty rule between two entitlement sets. It detects when any user holds entitlements from both set A and set B simultaneously.

A conflict monitor defines a Separation of Duty rule between two entitlement sets. It detects when any user holds entitlements from both set A and set B simultaneously.

createdAt
string<date-time>
deletedAt
string<date-time>
description
string

A description explaining the purpose of this Separation of Duty rule.

displayName
string

The human-readable name of the conflict monitor.

enabled
boolean

Whether the conflict monitor is actively scanning for violations.

entitlementSetAId
string

The identifier of entitlement set A in the conflict rule.

entitlementSetBId
string

The identifier of entitlement set B in the conflict rule.

id
string

The unique identifier of this conflict monitor.

notificationConfig
Notification Config · object

The NotificationConfig message.

updatedAt
string<date-time>